Summary:	X509/LDAP certificate and revocation list client
Summary(pl.UTF-8):	Klient certyfikatów i list anulujących X509/LDAP
Name:		dirmngr
Version:	1.1.1
Release:	5
License:	GPL v2+
Group:		Applications
Source0:	ftp://ftp.gnupg.org/gcrypt/dirmngr/%{name}-%{version}.tar.bz2
# Source0-md5:	f5a40e93bcf07a94522579bfd58a2c96
Patch0:		%{name}-info.patch
Patch1:		%{name}-am.patch
Patch2:		%{name}-pth.patch
URL:		http://www.gnupg.org/documentation/manuals/dirmngr/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.9.3
BuildRequires:	libassuan-devel >= 1:2.0.0
BuildRequires:	libgcrypt-devel >= 1.4.0
BuildRequires:	libgpg-error-devel >= 1.4
BuildRequires:	libksba-devel >= 1.0.2
BuildRequires:	openldap-devel >= 2.4.6
BuildRequires:	pth-devel >= 1.3.7
BuildRequires:	texinfo
Requires:	libassuan >= 1:2.0.0
Requires:	libgcrypt >= 1.4.0
Requires:	libgpg-error >= 1.4
Requires:	libksba >= 1.0.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
DirMngr is a client for managing and downloading certificate
revocation lists (CRLs) for X509 certificates and for downloading the
certificates themselves. DirMngr is usually invoked by gpgsm and in
general not used directly.

%description -l pl.UTF-8
DirMngr to klient do zarządzania i pobierania list anulujących
certyfikaty (CRLs - certificate revocation lists) dla certyfikatów
X509 oraz do pobierania samych certyfikatów. DirMngr jest zwykle
wywoływany przez gpgsm i nie używany bezpośrednio.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p0

%build
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--with-ldap=/usr
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/dirmngr
rm -f $RPM_BUILD_ROOT%{_infodir}/dir

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README THANKS TODO
%attr(755,root,root) %{_bindir}/dirmngr
%attr(755,root,root) %{_bindir}/dirmngr-client
%attr(755,root,root) %{_libexecdir}/dirmngr_ldap
%{_infodir}/dirmngr.info*
%{_mandir}/man1/dirmngr.1*
%{_mandir}/man1/dirmngr-client.1*
%changelog
* Mon Jul 20 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/dirmngr.git;a=log;h=master

* Mon Jul 20 2015 Jan Rękorajski <baggins@pld-linux.org> 91ed8a1
- release 5 (by relup.sh)

* Tue Jan 28 2014 Kacper Kornet <draenog@pld-linux.org> 2452a91
- release 4

* Tue Jan 28 2014 Lukasz Masko <lmasko@pld-linux.org> f0ceae5
- Added patch against libgcrypt-1.6.0
  (https://bugs.g10code.com/gnupg/issue1590).

* Thu Jan 02 2014 Jan Rękorajski <baggins@pld-linux.org> 61c03f6
- fix building with texinfo 5
- rel 3

* Wed Dec 25 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> d277852
- release 2 (by relup.sh)

* Tue May 07 2013 Jakub Bogusz <qboosh@pld-linux.org> 3af367d
- updated to 1.1.1
- removed obsolete build patch
- added am patch (fixes build with automake 1.13+)

* Wed Sep 28 2011 Szymon Siwek <sls@pld-linux.org> 262f9c6
- added build.patch
- ac/am regeneration

* Wed Aug 11 2010 Jakub Bogusz <qboosh@pld-linux.org> 6bd1430
- updated to 1.1.0

* Tue Mar 30 2010 shadzik <shadzik@pld-linux.org> 133d42d
- damn, fix R: too
- rel 3

* Tue Mar 30 2010 shadzik <shadzik@pld-linux.org> 2a75863
- adjust libassuan BR
- rel 2

* Sat Oct 03 2009 Jakub Bogusz <qboosh@pld-linux.org> 32b2347
- updated to 1.0.3

* Mon Aug 04 2008 zbyniu <zbyniu@pld-linux.org> c5ee46b
- up to 1.0.2

* Thu Jan 24 2008 Elan Ruusamäe <glen@pld-linux.org> 9d29938
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

* Sun Nov 18 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> eb16f91
- rel 2

* Sat Nov 03 2007 Jan Rękorajski <baggins@pld-linux.org> 29d225d
- updated openldap BR/R to 2.4.6

* Tue Aug 28 2007 Jakub Bogusz <qboosh@pld-linux.org> 3cf8b18
- updated to 1.0.1

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 0e66420
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> e852aae
- converted to UTF-8

* Fri Dec 01 2006 Jakub Bogusz <qboosh@pld-linux.org> 063d258
- updated to 1.0.0

* Mon Nov 20 2006 Jakub Bogusz <qboosh@pld-linux.org> a7472fb
- updated to 0.9.7

